• 0

    posted a message on Grid
    Quote from Phanx
    No changes have been made that should break any plugins, unless those plugins were using Grid's localized strings instead of supplying their own. The only plugin I know of that was doing this was GridStatusRes, which I updated at the same time I committed that change to Grid. The purpose of the change was to remove the AceLocale-2.2 library, which was both unnecessary (a custom solution is simpler anyway) and inefficient (for the vast majority of users, Grid is the only addon loading it or any other Ace2 libraries).

    Aside from that, the other change made in the last few days was to add support for dual-spec profile swapping, but this shouldn't have any effect on any plugins, since it doesn't do anything that a user manually changing the profile wouldn't do. Even if you're using a plugin that automatically changes your profile based on certain conditions, you shouldn't have any problems, especially since the dual-spec feature is disabled by default.

    What specific problems are you seeing, and which revision are you using?


    Please rollback to enable the dependency "AceLocale-2.2". This is the source of current problems in some third party addons. Until all developers decide to include the missing dep or use a custom solution (like you did).
    Thanks in advance.
    Posted in: Grid & Grid2
  • To post a comment, please or register a new account.